
module Plugins.All where

import Plugins (SomePlugin)

import qualified Plugins.FOL
import qualified Plugins.Cover
import qualified Plugins.QuickCheck
import qualified Plugins.Assert
import qualified Plugins.Equality
import qualified Plugins.Debug
import qualified Plugins.Maude
import qualified Plugins.Interaction
import qualified Plugins.Skeleton
import qualified Plugins.Time

-- | The list of active plugins. Add a plugin to this list to enable it.
plugins :: [SomePlugin]
plugins =
    [ Plugins.FOL.plugin
    , Plugins.Cover.plugin
    , Plugins.QuickCheck.plugin
    , Plugins.Assert.plugin
--    , Plugins.Equality.plugin
    , Plugins.Debug.plugin
    , Plugins.Interaction.plugin
    , Plugins.Time.plugin
--    , Plugins.Maude.plugin
--    , Plugins.Skeleton.plugin
    ]

